curl --request POST \
--url https://services.leadconnectorhq.com/payments/custom-provider/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"live": {
"apiKey": "y5ZQxryRFXZHvUJZdLeXXXXX",
"publishableKey": "rzp_test_zPRoVMLOa0XXXX"
},
"test": {
"apiKey": "y5ZQxryRFXZHvUJZdLeXXXXX",
"publishableKey": "rzp_test_zPRoVMLOa0XXXX"
}
}
'{
"name": "Company Paypal Integration",
"description": "This payment gateway supports payments in India via UPI, Net banking, cards and wallets.",
"paymentsUrl": "https://testpayment.paypal.com",
"queryUrl": "https://testsubscription.paypal.com",
"imageUrl": "https://testsubscription.paypal.com",
"_id": "662a44ad19a2a44d3cd9d749",
"locationId": "Lk3nlfk4lxlelVEwcW",
"marketplaceAppId": "65f0b217a05c774da7f1efa5",
"deleted": true,
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"paymentProvider": "{ live: { liveMode: true }, test: { liveMode: false, apiKey: \"y5ZQxryRFXZHvUJZdLXXXXXX\", publishableKey: \"rzp_test_zPRoVMLOa0A9wo\" }}",
"traceId": "302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"
}API to create a new payment config for given location
curl --request POST \
--url https://services.leadconnectorhq.com/payments/custom-provider/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"live": {
"apiKey": "y5ZQxryRFXZHvUJZdLeXXXXX",
"publishableKey": "rzp_test_zPRoVMLOa0XXXX"
},
"test": {
"apiKey": "y5ZQxryRFXZHvUJZdLeXXXXX",
"publishableKey": "rzp_test_zPRoVMLOa0XXXX"
}
}
'{
"name": "Company Paypal Integration",
"description": "This payment gateway supports payments in India via UPI, Net banking, cards and wallets.",
"paymentsUrl": "https://testpayment.paypal.com",
"queryUrl": "https://testsubscription.paypal.com",
"imageUrl": "https://testsubscription.paypal.com",
"_id": "662a44ad19a2a44d3cd9d749",
"locationId": "Lk3nlfk4lxlelVEwcW",
"marketplaceAppId": "65f0b217a05c774da7f1efa5",
"deleted": true,
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"paymentProvider": "{ live: { liveMode: true }, test: { liveMode: false, apiKey: \"y5ZQxryRFXZHvUJZdLXXXXXX\", publishableKey: \"rzp_test_zPRoVMLOa0A9wo\" }}",
"traceId": "302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location id
"Lk3nlfk4lxlelVEwcW"
Successful response
The name of the custom provider
"Company Paypal Integration"
Description of payment gateway. Shown on the payments integrations page as subtext
"This payment gateway supports payments in India via UPI, Net banking, cards and wallets."
This url will be loaded in iFrame to start a payment session.
"https://testpayment.paypal.com"
The url used for querying payments related events. Ex. verify, refund, subscription etc.
"https://testsubscription.paypal.com"
Public image url for logo of the payment gateway displayed on the payments integrations page.
"https://testsubscription.paypal.com"
The unique identifier for the custom provider.
"662a44ad19a2a44d3cd9d749"
Location id
"Lk3nlfk4lxlelVEwcW"
The application id of marketplace
"65f0b217a05c774da7f1efa5"
Whether the config is deleted or not. true represents config is deleted
true
The creation timestamp of the custom provider.
"2023-11-20T10:23:36.515Z"
The last update timestamp of the custom provider.
"2024-01-23T09:57:04.846Z"
Payment provider details.
"{ live: { liveMode: true }, test: { liveMode: false, apiKey: \"y5ZQxryRFXZHvUJZdLXXXXXX\", publishableKey: \"rzp_test_zPRoVMLOa0A9wo\" }}"
Trace id of the custom provider.
"302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"
Was this page helpful?